Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.jdbc
Class AbstractJDBCListener

    java.lang.Object
      |
      +--com.solarmetric.rd.jdbc.AbstractJDBCListener

All Implemented Interfaces:
  JDBCListener

Direct Known Subclasses:
  PerformanceTracker

public class AbstractJDBCListener
extends java.lang.Object
implements JDBCListener

An abstract implementation of the `JDBCListener` listener. It allows simple implementation of fine-grained event handling.

Constructor Summary
`AbstractJDBCListener()`

Method Summary
`void` | `afterCommit(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `afterConnect(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `afterCreateStatement(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `afterExecuteStatement(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `afterPrepareStatement(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `afterReturn(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `afterRollback(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforeCommit(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforeConnect(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforeCreateStatement(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforeExecuteStatement(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforePrepareStatement(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforeReturn(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `beforeRollback(com.solarmetric.rd.jdbc.JDBCEvent event)`
`void` | `eventOccurred(com.solarmetric.rd.jdbc.JDBCEvent event)` Generic dispatcher: redirects the event to the appropriate handler based on on the `JDBCEvent.getType()` result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJDBCListener

    public AbstractJDBCListener()

Method Detail

### eventOccurred

    public void eventOccurred(com.solarmetric.rd.jdbc.JDBCEvent event)

  Generic dispatcher: redirects the event to the appropriate handler based on on the `JDBCEvent.getType()` result.

  Specified by:
    `eventOccurred` in interface `JDBCListener`

### beforePrepareStatement

    public void beforePrepareStatement(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_PREPARE_STATEMENT`

### afterPrepareStatement

    public void afterPrepareStatement(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_PREPARE_STATEMENT`

### beforeCreateStatement

    public void beforeCreateStatement(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_CREATE_STATEMENT`

### afterCreateStatement

    public void afterCreateStatement(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_CREATE_STATEMENT`

### beforeExecuteStatement

    public void beforeExecuteStatement(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_EXECUTE_STATEMENT`

### afterExecuteStatement

    public void afterExecuteStatement(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_EXECUTE_STATEMENT`

### beforeCommit

    public void beforeCommit(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_COMMIT`

### afterCommit

    public void afterCommit(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_COMMIT`

### beforeRollback

    public void beforeRollback(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_ROLLBACK`

### afterRollback

    public void afterRollback(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_ROLLBACK`

### beforeReturn

    public void beforeReturn(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_RETURN`

### afterReturn

    public void afterReturn(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_RETURN`

### beforeConnect

    public void beforeConnect(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.BEFORE_CONNECT`

### afterConnect

    public void afterConnect(com.solarmetric.rd.jdbc.JDBCEvent event)

  See Also:
    `JDBCEvent.AFTER_CONNECT`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.